/* =========================================================================
	This library is part of IshiSoft CEHTTP base class.
	------------------------------------------------------------------------
	author: yu-ishi@ya2.so-net.ne.jp
			http://www001.upp.so-net.ne.jp/ishi/index.html
  ========================================================================== */
#if !defined(_MYCONTENTTYPE_H_INCLUDED_)
#define _MYCONTENTTYPE_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MyHash.h"

class MyContentType : MyHash
{
public:
	char* GetMimeType(char* pszExtend);
	MyContentType();
	virtual ~MyContentType();

private:
	char*	SeekToKeyI(char* pszKey);
	char*	SeekNext(char* pszKey);
	int	LoadFile(WCHAR* ptszFile);
	int LoadModFile(WCHAR* pwszFile);
	MyHash* m_pHash;

};

#endif // !defined(_MYCONTENTTYPE_H_INCLUDED_)
