/* =========================================================================
	This library is part of IshiSoft CEHTTP base class.
	------------------------------------------------------------------------
	author: yu-ishi@ya2.so-net.ne.jp
			http://www001.upp.so-net.ne.jp/ishi/index.html
  ========================================================================== */
#if !defined(_MYVARMEM_H_INCLUDED_)
#define _MYVARMEM_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef NULL
#ifdef __cplusplus
#define NULL    0
#else
#define NULL    ((void *)0)
#endif
#endif

/* ****************************************************************************

  ϒNX
  KvɉĎIɃgĂ܂B
  E	m_nBlockSize = 512 ɐݒ肳Ă܂B

  {\
  f[^     :|<...  data  ...>|\0|
  f[^     :|<-m_nBufferLen->|
  ̈       :|<-          512*n            ->|

  EI[ɂ|\0|tĂ܂B

**************************************************************************** */

class MyVarMem 
{
public:
	MyVarMem();
	virtual ~MyVarMem();

private:
	void*	m_pBuffer;		// w|C^
	size_t	m_nBufferLen;	// ݂̃(Alloc̈Ƃ͈Ⴂ܂)
	int		m_nBlockSize;	// 擾̍ۂ̃y[WEłB

public:
	
	void* GetBuffer()	const	{return m_pBuffer;}
	size_t GetLength()	const	{return m_nBufferLen;}

	size_t AddHead( const void* pAddData, size_t nDataLen);
	size_t Add( const void* pAddData, size_t nDataLen);
	
	size_t AddHead(MyVarMem* pH)	{return AddHead(pH->GetBuffer(), pH->GetLength());}
	size_t Add(MyVarMem* pH)		{return Add(pH->GetBuffer(), pH->GetLength());}
	
	size_t Add(const char* pszStr);

	virtual void Clear();
	virtual int IsEmpty()	{return (m_pBuffer==NULL)?1:0;}

	operator const void*()	{return (const void*)m_pBuffer;}
	operator const char*()	{return (const char*)m_pBuffer;}
};
#endif // !defined(_MYVARMEM_H_INCLUDED_)
